net.minecraft.client.audio

## Class SoundManager

- java.lang.Object
- - net.minecraft.client.audio.SoundManager

-     public class SoundManager
      extends java.lang.Object

- - ### Field Summary

    Fields
    Modifier and Type | Field and Description
    --- | ---
    `SoundHandler` | `sndHandler`

  - ### Constructor Summary

    Constructors
    Constructor and Description
    `SoundManager(SoundHandler p_i45119_1_, GameSettings p_i45119_2_)`

  - ### Method Summary

    Methods
    Modifier and Type | Method and Description
    --- | ---
    `void` | `addDelayedSound(ISound p_148599_1_, int p_148599_2_)`
    `boolean` | `isSoundPlaying(ISound p_148597_1_)`
    `void` | `pauseAllSounds()`
    `void` | `playSound(ISound p_148611_1_)`
    `void` | `reloadSoundSystem()`
    `void` | `resumeAllSounds()`
    `void` | `setListener(EntityPlayer p_148615_1_, float p_148615_2_)`
    `void` | `setSoundCategoryVolume(SoundCategory p_148601_1_, float p_148601_2_)`
    `void` | `stopAllSounds()`
    `void` | `stopSound(ISound p_148602_1_)`
    `void` | `unloadSoundSystem()`
    `void` | `updateAllSounds()`

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- - ### Field Detail

    - #### sndHandler

          public final SoundHandler sndHandler

  - ### Constructor Detail

    - #### SoundManager

          public SoundManager(SoundHandler p_i45119_1_,
                      GameSettings p_i45119_2_)

  - ### Method Detail

    - #### reloadSoundSystem

          public void reloadSoundSystem()

    - #### setSoundCategoryVolume

          public void setSoundCategoryVolume(SoundCategory p_148601_1_,
                                    float p_148601_2_)

    - #### unloadSoundSystem

          public void unloadSoundSystem()

    - #### stopAllSounds

          public void stopAllSounds()

    - #### updateAllSounds

          public void updateAllSounds()

    - #### isSoundPlaying

          public boolean isSoundPlaying(ISound p_148597_1_)

    - #### stopSound

          public void stopSound(ISound p_148602_1_)

    - #### playSound

          public void playSound(ISound p_148611_1_)

    - #### pauseAllSounds

          public void pauseAllSounds()

    - #### resumeAllSounds

          public void resumeAllSounds()

    - #### addDelayedSound

          public void addDelayedSound(ISound p_148599_1_,
                             int p_148599_2_)

    - #### setListener

          public void setListener(EntityPlayer p_148615_1_,
                         float p_148615_2_)